AMH开源社区

AMH社区 - 开放自由有价值的社区

[求助帖] amh5.2 安装composer 正常使用alravel

snaiky
铝牌会员
228.00 价值分

770 次阅读   3 张回复   snaiky 发表于 2016-04-16 22:46:35
最近尝试跑一下laravel amh5.2安装composer遇阻。
论坛搜了一下,也有人遇到同样的问题。但是已经给出了解决方案。

amh5.2 安装composer受阻的帖子
http://amh.sh/bbs/post-9008-1-1.htm
http://amh.sh/bbs/post-8891-1-1.htm
http://amh.sh/bbs/post-8807-1-1.htm


给出解决方案的帖子。
http://amh.sh/bbs/post-6149-1-1.htm

总结一下自己存档,希望能够帮助新手。

第一步,用管理员给出的操作。尝试把环境的amh-php.ini复制到你当使用的php软件的etc目录下
cp /home/wwwroot/环境/etc/amh-php.ini /usr/local/php-版本/etc/php.ini
我测试的是7.0版本的。
然后按照给出解决方案的帖子给出的步骤。
1.新建LNMP环境 安装常用组件 opcache-1.0 mcrypt-1.0 mysqli-1.0 pdo_mysql-1.0
2.PHP临时添加到PATH
export PATH=$PATH:/usr/local/php-5.5.13/bin {我是7.0 安装的PHP版本号就更换为php-7.0}

3.安装PHP依赖管理工具composer
curl -sS https://getcomposer.org/installer | php
4.为了方便添加到PATH
mv composer.phar /usr/local/bin/composer


composer一下。 跑起来了。



评价: 这个问题有价值吗?  没有 (0分)   有, 感谢 (1分)
2016-04-16 22:46:35 1

mobking
铁牌会员
49.00 价值分

我执行第4步时,

root@iZuf6ahrh9rs0ce1n8wx5qZ:~# mv composer.phar /usr/local/bin/composer
mv: cannot stat ‘composer.phar’: No such file or directory

怎么搞?
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2017-03-11 16:51:21 2

yanghang
银牌会员
1504.02 价值分

估计你在第3步的时候就执行失败了,看看第二部的那个临时变量的php版本的path导入的是不是有问题。
不同版本的php版本号是不同的
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2017-03-11 22:43:32 3

tangguogui
铁牌会员
19.00 价值分

完事了之后我去到项目目录执行
[root@ebs-50056 web]# composer create-project topthink/think tp5 --prefer-dist
/usr/bin/env: php: No such file or directory
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2017-04-21 17:47:27 4
 1  (总1页)
AMH社区列表
旅客不可参与帖子, 请您先登录
用户服务中心